package com.cf.imes.module.executor.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum IsHavaeEnum {

    HAVE_ITEM(0, "有"),
    BI_ITEM(1, "无");


    private final Integer status;
    private final String value;

    public Integer getStatus() {
        return status;
    }

    public String getValue() {
        return value;
    }

    public boolean equals(Integer status) {
        return this.status .equals(status) ;
    }

    public boolean equals(IsHavaeEnum quarrelEnum) {
        return quarrelEnum != null && quarrelEnum.status .equals(this.getStatus()) ;
    }
}
